/**
 * Copyright 2008, Howard Abrams (http://www.howardism.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.howardism.example;

import java.util.ArrayList;
import java.util.StringTokenizer;

/**
 * A collection of static methods.
 */

public class Utilities
{
  /**
   * Like the string's {@link String#split(String)} method, but returns the
   * delimiter... oh, and it doesn't take a regular expression.
   * 
   * @param original  The string to parse
   * @param delimiter The character(s) to use as splitting tokens
   * @return          An array of the strings split.
   */
  public static String[] split ( String original, String delimiter )
  {
    final StringTokenizer st = new StringTokenizer(original, delimiter, true);
    final ArrayList<String> list = new ArrayList<String>();
    
    while ( st.hasMoreTokens() )
      list.add ( st.nextToken() );
    
    final String[] results = new String[list.size()];
    return (String[]) list.toArray(results);
  }
}
