/**
 * Copyright 2008, Howard Abrams (http://www.howardism.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.howardism.example

import org.junit.Assert
import org.junit.Before
import org.junit.Test
import org.jmock.integration.junit4.*
import org.jmock.Mockery
import org.junit.Test
import org.junit.Before
import org.junit.runner.RunWith
import org.junit.runner.JUnitCore
import org.jmock.integration.junit4.JUnit4Mockery

public class FooTestsJMock
{
  final Mockery context = new JUnit4GroovyMockery()
  def mockBar, foo
  
  @Before
  void setUp() throws Exception {
     mockBar = context.mock(Bar.class)
     foo = new Foo( bar:mockBar )
  }
  
  @Test
  void testGetValue()
  {
    context.checking {   // How shall Mock act?
      one(mockBar).something();  will(returnValue("Hello"))
      one(mockBar).something();  will(returnValue("Good-bye"))
    }
    
    assert foo.value == "Hello..." 
    assert foo.value == "Good-bye..." 
  }
}
